"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/core/styles");

var _colors = require("@material-ui/core/colors");

const genGradient = (color = {}) => `repeating-linear-gradient(
    -55deg,
      ${_colors.grey[100]},
      ${_colors.grey[100]} 1px,
      ${color[50]} 1px,
      ${color[50]} 5px
    )`;

var _default = (0, _styles.makeStyles)(() => ({
  container: {
    background: genGradient(_colors.grey),
    border: `1px solid ${_colors.grey[300]}`,
    borderRadius: 5,
    cursor: 'pointer',
    padding: '4vh',
    outline: 0,
    textAlign: 'center',
    '&:hover': {
      background: genGradient(_colors.blue),
      border: `1px solid ${_colors.blue[200]}`,
      color: _colors.blue[500]
    },
    '&:focus,&:focus-within': {
      background: genGradient(_colors.blue),
      border: `1px solid ${_colors.blue[300]}`,
      color: _colors.blue[900]
    }
  },
  icon: {
    transform: 'rotate(45deg)'
  }
}));

exports.default = _default;