"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Avatar = _interopRequireDefault(require("@material-ui/core/Avatar"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Delete = _interopRequireDefault(require("@material-ui/icons/Delete"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Warning = _interopRequireDefault(require("@material-ui/icons/Warning"));

var _colors = require("@material-ui/core/colors");

var _q3UiPermissions = require("q3-ui-permissions");

var _FileName = _interopRequireDefault(require("../FileName"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const getApproximateSize = num => {
  const roundDown = v => Math.floor(num / v);

  const kb = roundDown(1000);
  const mb = roundDown(1000000);
  return `~${kb > 1000 ? `${mb}MB` : `${kb}KB`}`;
};

const FilePending = ({
  id,
  name,
  size,
  type,
  url,
  error,
  onDelete,
  collectionName,
  ...etc
}) => {
  const {
    HideByField
  } = (0, _q3UiPermissions.useAuth)(collectionName);

  const renderAction = () => {
    if (error) return /*#__PURE__*/_react.default.createElement(_Avatar.default, {
      style: {
        background: 'transparent'
      }
    }, /*#__PURE__*/_react.default.createElement(_Warning.default, {
      style: {
        color: _colors.red[900]
      }
    }));
    if (!url) return /*#__PURE__*/_react.default.createElement(_Box.default, {
      alignItems: "center",
      display: "flex"
    }, /*#__PURE__*/_react.default.createElement(_Box.default, {
      alignItems: "center",
      component: "span",
      display: "flex",
      ml: 0.5,
      style: {
        fontSize: '.711rem',
        textTransform: 'uppercase'
      }
    }, getApproximateSize(size)));
    return /*#__PURE__*/_react.default.createElement(HideByField, {
      path: "uploads",
      op: "Delete"
    }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onClick: onDelete(id)
    }, /*#__PURE__*/_react.default.createElement(_Delete.default, null)));
  };

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    justifyContent: "space-between",
    display: "flex",
    width: "100%"
  }, /*#__PURE__*/_react.default.createElement(_FileName.default, _extends({}, etc, {
    loading: !url && !error,
    name: name,
    url: url
  })), renderAction());
};

var _default = FilePending;
exports.default = _default;