"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _PictureAsPdf = _interopRequireDefault(require("@material-ui/icons/PictureAsPdf"));

var _Image = _interopRequireDefault(require("@material-ui/icons/Image"));

var _Description = _interopRequireDefault(require("@material-ui/icons/Description"));

var _colors = require("@material-ui/core/colors");

var _Folder = _interopRequireDefault(require("@material-ui/icons/Folder"));

var helpers = _interopRequireWildcard(require("q3-ui-helpers"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const fileDefs = {
  empty: {
    color: _colors.blue[400],
    icon: /*#__PURE__*/_react.default.createElement(_Folder.default, null)
  },
  file: {
    color: _colors.teal[400],
    icon: /*#__PURE__*/_react.default.createElement(_PictureAsPdf.default, null)
  },
  image: {
    color: _colors.indigo[400],
    icon: /*#__PURE__*/_react.default.createElement(_Image.default, null)
  },
  other: {
    color: _colors.orange[400],
    icon: /*#__PURE__*/_react.default.createElement(_Description.default, null)
  }
};

var _default = attribute => value => {
  const getFromDefs = key => fileDefs[key] && fileDefs[key][attribute] ? fileDefs[key][attribute] : null;

  switch (helpers.string.toUpper(value)) {
    case 'PNG':
    case 'JPG':
    case 'JPEG':
    case 'SVG':
      return getFromDefs('image');

    case 'PDF':
      return getFromDefs('file');

    case '':
      return getFromDefs('empty');

    default:
      return getFromDefs('other');
  }
};

exports.default = _default;