"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _q3UiLocale = require("q3-ui-locale");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Breadcrumbs = _interopRequireDefault(require("@material-ui/core/Breadcrumbs"));

var _Link = _interopRequireDefault(require("@material-ui/core/Link"));

var _useStyle = _interopRequireDefault(require("./useStyle"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FilterListBreadcrumbs = ({
  files,
  setState,
  state
}) => {
  const cls = (0, _useStyle.default)();
  const {
    t
  } = (0, _q3UiLocale.useTranslation)('labels');
  const {
    path = []
  } = state;

  const handleDirectoryChange = ind => () => {
    const up = path.slice(0, ind + 1);
    return setState({
      data: (0, _lodash.get)(files, up, {}),
      path: up
    });
  };

  const handleDirectoryReset = () => setState({
    data: files,
    path: []
  });

  return /*#__PURE__*/_react.default.createElement(_Breadcrumbs.default, {
    "aria-label": t('fileManagerBreadcrumbs')
  }, /*#__PURE__*/_react.default.createElement(_Button.default, {
    component: _Link.default,
    color: "inherit",
    disabled: !path.length,
    onClick: handleDirectoryReset,
    className: cls.link
  }, t('fileManager')), path.map((item, i) => /*#__PURE__*/_react.default.createElement(_Button.default, {
    color: "inherit",
    component: _Link.default,
    disabled: i === path.length - 1,
    onClick: handleDirectoryChange(i),
    className: cls.link,
    key: i
  }, t(item))));
};

FilterListBreadcrumbs.propTypes = {
  files: _propTypes.default.shape({
    default: _propTypes.default.arrayOf(_propTypes.default.object)
  }),
  setState: _propTypes.default.func.isRequired,
  state: _propTypes.default.shape({
    data: _propTypes.default.shape({
      default: _propTypes.default.arrayOf(_propTypes.default.object)
    }),
    path: _propTypes.default.arrayOf(_propTypes.default.string)
  })
};
FilterListBreadcrumbs.defaultProps = {
  files: {
    default: []
  },
  state: {
    data: {
      default: []
    },
    path: []
  }
};
var _default = FilterListBreadcrumbs;
exports.default = _default;