"use strict";

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _FileListBreadcrumbs = _interopRequireDefault(require("./FileListBreadcrumbs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initialStateValue = {
  foo: {
    default: [],
    bar: {
      default: [],
      quuz: {
        test: {
          default: []
        },
        default: []
      }
    }
  },
  default: []
};
describe('FileListBreadcrumbs', () => {
  it('should render each path as a button', () => {
    const el = global.shallow( /*#__PURE__*/_react.default.createElement(_FileListBreadcrumbs.default, {
      setState: jest.fn,
      state: {
        path: ['foo', 'bar']
      }
    })).find(_Button.default); // plus home

    expect(el.length).toBe(3); // disable active directory

    expect(el.last().props()).toHaveProperty('disabled', true);
  });
  it('should reset the directory structure', () => {
    const setState = jest.fn();
    global.shallow( /*#__PURE__*/_react.default.createElement(_FileListBreadcrumbs.default, {
      files: initialStateValue,
      setState: setState,
      state: {
        path: ['foo']
      }
    })).find(_Button.default).first().simulate('click');
    expect(setState).toHaveBeenCalledWith({
      data: initialStateValue,
      path: []
    });
  });
  it('should change the directory structure', () => {
    const setState = jest.fn();
    global.shallow( /*#__PURE__*/_react.default.createElement(_FileListBreadcrumbs.default, {
      files: initialStateValue,
      setState: setState,
      state: {
        path: ['foo', 'bar', 'quuz']
      }
    })).find(_Button.default).at(2).simulate('click');
    expect(setState).toHaveBeenCalledWith({
      data: (0, _lodash.get)(initialStateValue, 'foo.bar'),
      path: ['foo', 'bar']
    });
  });
});