"use strict";

var _react = _interopRequireDefault(require("react"));

var _PhotoCamera = _interopRequireDefault(require("@material-ui/icons/PhotoCamera"));

var _PhotoUpload = require("./PhotoUpload");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const expectStatusText = (fileProps, expectedValue) => expect(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadStatus, {
  onDelete: jest.fn(),
  file: fileProps
})).text()).toMatch(expectedValue);

const expectVisual = (src, el) => expect(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadPreview, {
  src: src
})).find(el)).toHaveLength(1);

describe('PhotoUpload', () => {
  it('should display error text', () => expectStatusText({
    error: true
  }, 'photoFailedToUpload'));
  it('should display click text', () => expectStatusText(undefined, 'clickToSetPhoto'));
  it('should display loading text', () => expectStatusText({}, 'uploadingPhoto'));
  it('should display loading text', () => expectStatusText({
    url: 'https://google.ca'
  }, 'unsetPhoto'));
  it('should render image', () => expectVisual('https://google.ca', 'img'));
  it('should render icon', () => expectVisual(undefined, _PhotoCamera.default));
});